Subject: Re: bug#21223: 25.0.50; ps-print-buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Aug 2015 20:04:24 +0300

> Date: Sun, 09 Aug 2015 16:44:22 -0700
> From: Paul Eggert <[email-masked]>
> Cc: [email-masked]
> 
> Thanks for the bug report.  I cannot reproduce the problem with 'format' on my 
> platform (Fedora x86, emacs 25.0.50).  Here's what I attempted:
> 
> $ LC_ALL=de_DE.utf8 emacs --batch --eval '(message (format "%.3f" 1.1))'
> 1.100
> 
> Perhaps I'm not using the right recipe.  Or perhaps the problem is specific to 
> MS-Windows, and has something to do with Emacs's fixup_locale function.

No, fixup_locale works okay.  But I think I see the problem, and I
attempted to fix it in commit 3985a21.  Gerhard, can you test, please?
If the problem still persists, please provide a recipe to reproduce it
starting from "emacs -Q".

Thanks.